Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class FieldGetMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.FieldMatcher
              org.jboss.aop.pointcut.FieldGetMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

public class FieldGetMatcher
extends FieldMatcher

Comment

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.pointcut.FieldMatcher
`advisor, classname, fieldModifiers, fieldName, refField`

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`FieldGetMatcher(Advisor advisor, javassist.CtField field, ASTStart start)`
`FieldGetMatcher(Advisor advisor, Field field, ASTStart start)`

Method Summary
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTGet node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.FieldMatcher
`visit, visit, visit, visit, visit`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldGetMatcher

    public FieldGetMatcher(Advisor advisor,
                           javassist.CtField field,
                           ASTStart start)
                    throws javassist.NotFoundException

### FieldGetMatcher

    public FieldGetMatcher(Advisor advisor,
                           Field field,
                           ASTStart start)

Method Detail

### visit

    public Object visit(ASTGet node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Overrides:
    `resolvePointcut` in class `FieldMatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.